=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
           Benda Xu <heroxbd@gmail.com>
Build-Depends:
 debhelper (>= 9.20120410),
 po-debconf,
 quilt (>= 0.40),
 libselinux1-dev (>= 1.14) [linux-any],
 libsepol1-dev [linux-any]
Standards-Version: 3.9.5
Homepage: http://savannah.nongnu.org/projects/sysvinit
Vcs-Git: https://anonscm.debian.org/git/collab-maint/sysvinit.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysvinit.git

Package: sysvinit-core
Priority: extra
Architecture: any
Depends: initscripts (>= 2.88dsf-13.3),
 sysv-rc | file-rc | openrc,
 sysvinit-utils (>= 2.86.ds1-66),
 ${shlibs:Depends},
 ${misc:Depends},
# For ischroot
 debianutils (>= 4),
# Required for TERM=xterm switch (see #605777)
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any]
Conflicts: systemd-sysv, upstart
Replaces: sysvinit (<< 2.88dsf-44~), systemd-sysv, upstart
Suggests: bootlogd
Description: System-V-like init utilities
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Priority: required
Essential: yes
Architecture: any
Multi-Arch: foreign
Replaces: initscripts (<< 2.88dsf-59.5)
Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.25~)
# sulogin, last, lastb and mesg was moved to the util-linux package
 , util-linux (>> 2.28-2~)
Breaks: systemd (<< 215)
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 killall5, pidof

Package: sysv-rc
Architecture: all
Multi-Arch: foreign
Recommends: lsb-base (>= 3.2-14)
Suggests: bum
Pre-Depends: init-system-helpers (>= 1.25~)
Depends:
 ${misc:Depends},
 sysvinit-utils (>= 2.86.ds1-62),
 insserv (>> 1.12.0-10)
 , startpar
Breaks: systemd (<< 215)
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends}, ${misc:Depends}, ${mount:Depends},
 debianutils (>= 4),
 lsb-base (>= 3.2-14),
 sysvinit-utils (>= 2.88dsf-59.5), sysv-rc | file-rc | openrc,
 coreutils (>= 5.93),
Recommends: psmisc, e2fsprogs
Breaks:
# Needed for ifquery
 ifupdown (<< 0.7.46),
# /bin/mountpoint was moved to util-linux
 util-linux (<< 2.26.2-4~),
# Older versions of hurd do not implement the neccessary functionality
 hurd (<< 0.5.git20131101~)
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.
