=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/sysvinit/ \
(?:|.*/)sysvinit(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
