## sysvinit 2.92~beta

=== debian/changelog ===
sysvinit (2.92~beta-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * Restore umount at shutdown of filesystems mounted before /usr
    (Closes: #872039).  Thanks to Elrond for this patch.

  [ Dmitry Bogaotv ]
  * Fix typo in `/etc/init.d/bootclean.sh' (Closes: #914432)
    + Thanks: Jörg-Volker Peetz <jvpeetz@web.de>

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 23 Nov 2018 16:45:40 +0000

sysvinit (2.92~beta-1) unstable; urgency=medium

  [ Vincenzo (KatolaZ) Nicosia ]
  * New upstream release (Closes: #725123, #571590, #815839)
    (Closes: #905245, #890478, #402847, #717531, #590895, #630661)
    (Closes: #719273, #361935, #614893, #375274)
  * Refresh patches

  [ Benda Xu ]
  * Provide an example for running inside systemd-nspawn (Closes: #799329).

  [ Dmitry Bogatov ]
  * Upload to unstable
  * Adjust `debian/watch' to translate `-beta' suffix into `~beta'.
  * Remove redundant `/etc/init.d/motd' (Closes: #735521)
  * Pass `--force' option to `sulogin' program, enabling maintenance
    in single mode on systems, where `root' user is disabled. (Closes: #82366)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 22 Nov 2018 16:13:55 +0000

sysvinit (2.91-1) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Revert changes, that removed `Uploaders' field
  * Make Vcs-* fields to point to debian/ repository
  * Revert changes to LSB headers that introduced breakages
    (Thanks: Andreas Henriksson)
  * Add lintian overrides for warnings about LSB headers
  * Update debian/copyright since `start-stop-daemon.c'
    is no longer provided by upstream.
  * Update `debian/watch' to check PGP signature
  * Change mailing field in `Maintainer' field
  * Support GNU/kFreeBSD-specific UFS filesystem in `bootclean.sh' script
    (Closes: #764662)
    + Thanks: Steven Chamberlain <steven@pyro.eu.org>
  * wrap-and-sort -sta (Closes: #774179)
  * Update example script in init-d-script(5) to work correctly on Debian
    GNU/kFreeBSD (Closes: #913247)
  * Remove `/etc/init.d/skeleton' from bin:initscripts, which is superseded
    by init-d-script(5) (Closes: #913154, #810229, #507868, #578827)
  * Remove alternative dependency on `file-rc', which is removed from Archives.
    (Closes: #911044)
  * Do not attempt to set hostname to value, just returned by hostname(1)
    in `/etc/init.d/hostname.sh' (Closes: #628140)
  * Simplify `/etc/init.d/hostname.sh' script, since output of hostname(1)
    is never empty.
  * Remove compressed logs on purge of `bootlogd' (Closes: #724712)
  * Fix whitespace errors in scripts.
  * Minor cleanup of `/etc/init.d/bootlogd' (Closes: #538334)
  * Fix misleading desciption of `PIDFILE' variable in init-d-script(5)
    (Closes: #822654)

  [ Vincenzo (KatolaZ) Nicosia ]
  * New upstream release (Closes: #515595, #890041, #463771)
  * Refreshed patches
  * Add Vincenzo Nicosia to uploaders
  * Update list of copyright holders of debian/* files
  * Remove unnecessary patches

  [ Boyuan Yang ]
  * Remove sysv-rc's suggestion to bum, this package has
    been removed from the archive.

  [ Benda Xu ]
  * Select patches from Cristian Ionescu-Idbohrn (Closes: #699087).
  * Revert 7f0c9952b, swap is handled in checkroot.sh (Closes: #619869).
  * Provide a USB console example in inittab (Closes: #477656).

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 15 Nov 2018 15:43:24 +0000

sysvinit (2.88dsf-60) experimental; urgency=medium

  * New maintainer (Closes: #811377)
  * Update debian/gbp.conf
  * Replace deprecated priority 'extra' with 'optional'
  * Fix whitespace errors in `debian/changelog'
  * Update Vcs-* fields in `debian/control'
  * Update standards version to 4.2.1 (no changes needed)
  * Convert `debian/copyright' to dep-5 format
  * Bump compat version to 11 (no changes needed)
  * Clean-up unused lintian overrides
  * Remove unused debconf template
  * Declare missing dependency on $local_fs in init scripts
  * Remove virtual dependency $all from all scripts, except rc.local
  * Add lintian overrides about scripts not being registered with
    `update-rc.d'. Actually, they are registered with hand-written
    code in `postrm' scripts

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 26 Oct 2018 08:35:02 +0000

sysvinit (2.88dsf-59.11) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mert Dirik ]
  * Make sure that services using init-d-script can be properly
    redirected to systemctl. (Closes: #826214)
  * Avoid naming collisions when storing the script name in init-d-script
    by using a custom prefix.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Oct 2018 16:04:09 +0200

sysvinit (2.88dsf-59.10) unstable; urgency=medium

  * Non-maintainer upload.
  * The init scripts provided by the bootlogd and initscripts package are
    specific to sysvinit/sysv-rc and should not be run when systemd is the
    active init system. To ensure that, mask those services by creating a
    symlink pointing at /dev/null which tells systemd to ignore those
    services. (Closes: #874685)

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Sep 2017 21:18:37 +0200
