=== debian/changelog ===
sysvinit (2.93-3) unstable; urgency=medium

  * Make initscripts gracefully handle missing logsave(8) (Closes: #910289)
  * Correctly umount block devices, mounted under /run (Closes: #917139)
  * Remove obsolete `/etc/init.d/motd' (Closes: #915051)
  * Update path to `nologin' file in `bootmisc.sh' script (Closes: #743743)
  * Fix mounting of /proc on Hurd (Closes: #814735)
  * Fix /sbin/poweroff alternative on Hurd (Closes: #825975)
  * Use forced fsck in mountroot.sh only if it is supported (Closes: #686895)
  * Simplify call to ischroot(1) in `sysvinit-core.postinst'
  * Update Dutch translation of debconf templates (Closes: #917419)
    + Thanks: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
  * Move /etc/init.d/{rc,rcS} scripts out of /etc, retaining
    symbolic link for compatibility (Closes: #132542)
  * Do not mount gfs, ocfs2 and gfs2 in mountall.sh script (Closes: #504748)
  * Specify pidfile option to `status_of_proc' function in `init-d-script'
    (Closes: #822674)
  * Add initscript to save and restore backlight brightness (Closes: #746221)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 05 Jan 2019 11:21:53 +0000

sysvinit (2.93-2) unstable; urgency=medium

  * Update German translation of debconf templates (Closes: #915159)
    + Thanks: Chris Leick <c.leick@vollbio.de>
  * Fix support of /tmp being symbolic link to non-existent directory
    (Closes: #915671)
    + Thanks: Serge Belyshev <belyshev@depni.sinp.msu.ru>
    + Thanks: Thorsten Glaser <t.glaser@tarent.de>
  * Invoke top-level upstream Makefile from `debian/rules'. This
    way VERSION macro is set correctly in source code.
  * Update French translation of debconf templates (Closes: #916624)
    + Thanks: Steve Petruzzello <dlist@bluewin.ch>
  * Remove misleading commends in `/etc/init.d/rc' (Closes: #717356)
    + Thanks: Алексей Шилин <rootlexx@mail.ru>
  * Disable concurrent boot if kernel boot parameter `concurrency=none'
    is present (Closes: #725970)
  * Re-introduce support for /etc/boot.d directory with scripts
    (Closes: #546401)
  * Fix bug number typo in changelog (Closes: #823660)
  * Do not mask errors in `init-d-script' (Closes: #822753)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 27 Dec 2018 09:49:41 +0000

sysvinit (2.93-1) unstable; urgency=medium

  * New upstream release (Closes: #914494)

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 04 Dec 2018 04:23:18 +0000
