=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	dh $@ $(DH_OPTIONS)
 
 override_dh_auto_build:
-	$(MAKE) $(CROSS) $(CONFFLAGS) -C src DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE) $(CROSS) $(CONFFLAGS) DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install-arch:
 	$(MAKE) -C debian/src/bootlogd install DESTDIR=$(bootlogdtmp)
@@ -111,9 +111,13 @@
 	mv $(sysvtmp)/usr/share/man/man8/halt.8.gz $(sysvtmp)/usr/share/man/man8/halt-sysv.8.gz
 	rm $(sysvtmp)/usr/share/man/man8/reboot.8.gz
 	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/reboot-sysv.8.gz
+	rm $(sysvtmp)/usr/share/man/man8/poweroff.8.gz
+	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/poweroff-sysv.8.gz
 	mv $(sysvtmp)/sbin/halt $(sysvtmp)/sbin/halt-sysv
 	rm $(sysvtmp)/sbin/reboot
 	ln -s halt-sysv $(sysvtmp)/sbin/reboot-sysv
+	rm $(sysvtmp)/sbin/poweroff
+	ln -s halt-sysv $(sysvtmp)/sbin/poweroff-sysv
 	# Add runsystem to conffiles, suppress lintian error
 	echo /etc/hurd/runsystem.sysv >> $(inittmp)/DEBIAN/conffiles
 else
